#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	C library for executing name service queries asynchronously
Summary(pl.UTF-8):	Biblioteka C do asynchronicznego wykonywania zapytań o nazwy
Name:		libasyncns
Version:	0.8
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://0pointer.de/lennart/projects/libasyncns/%{name}-%{version}.tar.gz
# Source0-md5:	1f553d6ce1ad255bc83b3d8e9384f515
Patch0:		%{name}-link.patch
URL:		http://0pointer.de/lennart/projects/libasyncns/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libasyncns is a C library for Linux/Unix for executing name service
queries asynchronously. It is an asynchronous wrapper around
getaddrinfo(3) and getnameinfo(3) from the libc.

In contrast to GNU's asynchronous name resolving API getaddrinfo_a(),
libasyncns does not make use of UNIX signals for reporting completion
of name queries. Instead, the API exports a standard UNIX file
descriptor which may be integerated cleanly into custom main loops.

%description -l pl.UTF-8
libasyncns to biblioteka C dla Linuksa/Uniksa do asynchronicznego
wykonywania zapytań o nazwy. Jest to asynchroniczne obudowanie dla
funkcji getaddrinfo(3) i getnameinfo(3) z libc.

W przeciwieństwie do asynchronicznego API rozwiązywania nazw GNU,
getaddrinfo_a(), libasyncns nie wykorzystuje uniksowych sygnałów do
informowania o zakończeniu zapytań. Zamiast tego API eksportuje
standardowy uniksowy deskryptor pliku, który można łatwo zintegrować
we własnych głównych pętlach.

%package devel
Summary:	Header files for libasyncns library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libasyncns
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libasyncns library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libasyncns.

%package static
Summary:	Static libasyncns library
Summary(pl.UTF-8):	Statyczna biblioteka libasyncns
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libasyncns library.

%description static -l pl.UTF-8
Statyczna biblioteka libasyncns.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# no need to generate doc/README from doc/README.html, there is README anyway
%configure \
	--disable-lynx \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libasyncns.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libasyncns.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libasyncns.so
%{_libdir}/libasyncns.la
%{_includedir}/asyncns.h
%{_pkgconfigdir}/libasyncns.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libasyncns.a
%endif
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libasyncns.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> b00256b
- x32 rebuild
- release 2 (by relup.sh)

* Wed Dec 30 2009 Marcin Banasiak <marcin.banasiak@gmail.com> b37cba2
- re-added autotools (configure.ac has been patched, so we have to regenerate configure)

* Tue Dec 01 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> a3275ad
- updated to 0.8
- build fails with autotools, so build without it

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 800625d
- drop obsolete files

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 6665fd3
- updated to 0.5

* Mon Aug 20 2007 witekfl <witekfl@pld-linux.org> aae3dbf
- added bcond_without static_libs

* Sat Jun 30 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 69c3ecb
- up to 0.3

* Fri Mar 16 2007 Marcin Banasiak <marcin.banasiak@gmail.com> aee7485
- added configure patch (fix res_query check on x86_64)
- release 2

* Fri Mar 16 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 4e5160d
- fix res_query check on x86_64

* Mon Feb 19 2007 Jakub Bogusz <qboosh@pld-linux.org> 1e4ee23
- updated to 0.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b0e02ed
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7ed28b5
- converted to UTF-8

* Sun Apr 23 2006 Jakub Bogusz <qboosh@pld-linux.org> cbd4a22
- libnsl is not needed

* Sun Apr 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 7de79b8
- new

